PrefabFiles = {
	"lyn",
	"lyn_none",
	"tf2scoutbat",
	"tf2bostonbasher"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/lyn.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/lyn.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/lyn.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lyn.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/lyn_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lyn_silho.xml" ),

    Asset( "IMAGE", "bigportraits/lyn.tex" ),
    Asset( "ATLAS", "bigportraits/lyn.xml" ),
	
	Asset( "IMAGE", "images/map_icons/lyn.tex" ),
	Asset( "ATLAS", "images/map_icons/lyn.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_lyn.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_lyn.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_lyn.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_lyn.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_lyn.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_lyn.xml" ),
	
	Asset( "IMAGE", "images/names_lyn.tex" ),
    Asset( "ATLAS", "images/names_lyn.xml" ),
	
    Asset( "IMAGE", "bigportraits/lyn_none.tex" ),
    Asset( "ATLAS", "bigportraits/lyn_none.xml" ),

	Asset("ATLAS", "images/inventoryimages/tf2scoutbat.xml"),
	Asset("IMAGE", "images/inventoryimages/tf2scoutbat.tex"),

	Asset("ATLAS", "images/inventoryimages/tf2bostonbasher.xml"),
	Asset("IMAGE", "images/inventoryimages/tf2bostonbasher.tex"),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local ActionHandler = GLOBAL.ActionHandler
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
local TUNING = GLOBAL.TUNING
local SpawnPrefab = GLOBAL.SpawnPrefab
local CHARACTER_INGREDIENT = GLOBAL.CHARACTER_INGREDIENT

-- The character select screen lines
STRINGS.CHARACTER_TITLES.lyn = "Lyndis"
STRINGS.CHARACTER_NAMES.lyn = "Lyn"
STRINGS.CHARACTER_DESCRIPTIONS.lyn = "*Quick on her feet as well as in battle\n*Possesses two exclusive swords\n*Can land critical hits but is very fragile"
STRINGS.CHARACTER_QUOTES.lyn = "\"A young girl from the Lorca tribe. Stouthearted and kind.\""


-- Custom speech strings
STRINGS.CHARACTERS.LYN = require "speech_lyn"

-- The character's name as appears in-game 
STRINGS.NAMES.lyn = "Esc"

local tf2bostonbasher = AddRecipe("tf2bostonbasher", { GLOBAL.Ingredient("goldnugget", 20),GLOBAL.Ingredient("redgem", 1),GLOBAL.Ingredient("livinglog", 2)}, GLOBAL.RECIPETABS.WAR, GLOBAL.TECH.NONE, nil, nil, nil, nil, "lyn_builder", "images/inventoryimages/tf2bostonbasher.xml", "tf2bostonbasher.tex" )


AddMinimapAtlas("images/map_icons/lyn.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("lyn", "FEMALE")

AddComponentPostInit("combat", function(Combat)-- place in modmain
	local OldCalcDamage = Combat.CalcDamage
	Combat.CalcDamage = function(self, target, weapon, ...)
		local old_damage = nil
		local crit = 0.25 --crit chance (e.g. this is 50%)
		local critdmg = 2 --crit damage (x2)
		if math.random() <= crit and target and self.inst.prefab == "lyn" then --change to your prefab
			if weapon then -- if its a weapon
				local item = self.inst.components.inventory:GetEquippedItem(GLOBAL.EQUIPSLOTS.HANDS)
				if item:HasTag("solkatti") then
				old_damage = weapon.components.weapon.damage
				weapon.components.weapon.damage = old_damage * 4
			else -- if its a weapon
				old_damage = weapon.components.weapon.damage
				weapon.components.weapon.damage = old_damage * critdmg
			end
			else -- if we attack with something not using the weapon component
				old_damage = self.defaultdamage
				self.defaultdamage = old_damage * critdmg
			end
			-- visual effects and other stuff you can add
			self.inst.components.talker:Say("*CRITICAL*")
		end
		local ret = OldCalcDamage(self, target, weapon, ...)-- returning crit damage
		if old_damage then-- reseting back to non crit damage
			if weapon then
				weapon.components.weapon.damage = old_damage
			else
				self.defaultdamage = old_damage
			end
		end
		return ret
	end
end)
