local assets =
{
    Asset("ANIM", "anim/bostonbasher.zip"),
    Asset("ANIM", "anim/swap_bostonbasher.zip"),

    Asset("ATLAS", "images/inventoryimages/tf2bostonbasher.xml"),
    Asset("IMAGE", "images/inventoryimages/tf2bostonbasher.tex"),
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_bostonbasher", "bostonbasher")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
    owner.components.locomotor:SetExternalSpeedMultiplier(inst, "lyn_speed_mod", 0.85)
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
    owner.components.locomotor:SetExternalSpeedMultiplier(inst, "lyn_speed_mod", 1)
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)


    if not TheWorld.ismastersim then
        return inst
    end

    inst.AnimState:SetBank("bostonbasher")
    inst.AnimState:SetBuild("bostonbasher")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("sharp")
    inst:AddTag("solkatti")

    inst:AddComponent("inspectable")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(68)

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    inst:AddComponent("inventoryitem")

    inst.components.inventoryitem.onputininventoryfn = function(inst, player)   
        if player.prefab ~= "lyn" then  
            inst:DoTaskInTime(0.1, function()   
                player.components.inventory:DropItem(inst)      
                player.components.talker:Say("The sword seems to reject me...")     
            end)
        end
    end


    inst.components.inventoryitem.imagename = "tf2bostonbasher"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/tf2bostonbasher.xml"

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(75)
    inst.components.finiteuses:SetUses(75)
    inst.components.finiteuses:SetOnFinished(inst.Remove)

    MakeHauntableLaunch(inst)

    return inst
end

STRINGS.TF2BOSTONBASHER = "Sol Katti"
STRINGS.NAMES.TF2BOSTONBASHER = "Sol Katti"
STRINGS.RECIPE_DESC.TF2BOSTONBASHER = "Forged to battle wyverns"

return Prefab("common/inventory/tf2bostonbasher", fn, assets)