local assets =
{
    Asset("ANIM", "anim/tf2scoutbat.zip"),
    Asset("ANIM", "anim/swap_tf2scoutbat.zip"),

    Asset("ATLAS", "images/inventoryimages/tf2scoutbat.xml"),
    Asset("IMAGE", "images/inventoryimages/tf2scoutbat.tex"),
}

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_tf2scoutbat", "tf2scoutbat")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
    owner.components.locomotor:SetExternalSpeedMultiplier(inst, "lyn_speed_mod", 1.2)
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
    owner.components.locomotor:SetExternalSpeedMultiplier(inst, "lyn_speed_mod", 1)
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)


    if not TheWorld.ismastersim then
        return inst
    end

    inst.AnimState:SetBank("tf2scoutbat")
    inst.AnimState:SetBuild("tf2scoutbat")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("sharp")

    inst:AddComponent("inspectable")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.WHIP_DAMAGE)

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)

    inst:AddComponent("inventoryitem")

	inst.components.inventoryitem.onputininventoryfn = function(inst, player)	
		if player.prefab ~= "lyn" then	
			inst:DoTaskInTime(0.1, function()	
				player.components.inventory:DropItem(inst)		
				player.components.talker:Say("The sword seems to reject me...")		
			end)
		end
	end

    inst.components.inventoryitem.imagename = "tf2scoutbat"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/tf2scoutbat.xml"


    MakeHauntableLaunch(inst)

    return inst
end

STRINGS.TF2SCOUTBAT = "Mani Katti"
STRINGS.NAMES.TF2SCOUTBAT = "Mani Katti"
STRINGS.RECIPE_DESC.TF2SCOUTBAT = "A highly versatile katana-like sword."

return Prefab("common/inventory/tf2scoutbat", fn, assets)